/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/variables';
@import 'css/_general_styling.scss';

.customTextButton {
  padding: 0;
  * {
    @include primary-text(0.875rem, $coa-primary, 500, 1.8rem);
  }
  &.--danger {
    * {
      color: $coa-red-100;
    }
  }
  &.--muted {
    * {
      color: $coa-grey-100;
    }
  }
  &.--black {
    * {
      color: $coa-medium-gray-100;
    }
  }
  &.--disabled {
    opacity: 0.4;
  }
  &.--primary {
    * {
      color: $coa-text-button-primary-color;
    }
  }
}
